## rust-bounded-static 0.8.0

=== debian/changelog ===
rust-bounded-static (0.8.0-8) unstable; urgency=medium

  * drop patch 2001_smol_str, obsoleted by Debian packaging changes
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * add watch file, setting Repack-Suffix: +ds
  * add patch 1002 to accept newer minor version of crate smol_str;
    thanks to Alexander Kjäll
  * stop set Multi-Arch: foreign,
    incompatible with arch-any packaged crates

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Feb 2026 08:49:06 +0100

rust-bounded-static (0.8.0-7) unstable; urgency=medium

  * update watch file: fix tracking match
  * drop patch 2002_break_dep_cycle;
    tighten build-dependency on dh-sequence-rust
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * drop watch file: use upstream metadata instead
  * update DEP-3 patch headers
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2026 03:52:11 +0100

rust-bounded-static (0.8.0-6) unstable; urgency=medium

  * add patch 1001 to add feature fencing to doctest;
    fix patch 2002;
    closes: bug#1098346, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 09:49:31 +0100

rust-bounded-static (0.8.0-5) unstable; urgency=medium

  * stop mention dh-cargo in long description
  * drop patch 2001_smallvec, obsoleted by Debian packaging changes
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + simplify usage comments
  * update watch file:
    + improve filename mangling
    + use Github API
  * update copyright info: update coverage
  * add patch 2002 to break cyclic dependency;
    closes: bug#1093934, thanks to Santiago Vila
    (see also bug#1094199)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Feb 2025 10:41:15 +0100

rust-bounded-static (0.8.0-4) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 17:35:12 +0200

rust-bounded-static (0.8.0-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 12:38:54 +0200

rust-bounded-static (0.8.0-2) unstable; urgency=medium

  * add patches 2001_*
    to accept older releases of crates smallvec smol_str
  * tighten (build-)dependencies for crates ahash chrono

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 00:55:53 +0200

rust-bounded-static (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest feature chrono-clock;
    (build-)depend on package for crate chrono

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2024 13:24:58 +0200

rust-bounded-static (0.7.0-3) unstable; urgency=medium

  * fix autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 16:34:10 +0200

rust-bounded-static (0.7.0-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.7.0
  * tidy whitespace in long descriptions
  * update copyright info:
    + fix file path
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 May 2024 08:45:20 +0200

rust-bounded-static (0.7.0-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1057068

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Feb 2024 09:36:25 +0100
