=== debian/control ===
Source: rust-bounded-static
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust (= 1),
 librust-ahash-dev,
 librust-chrono-dev,
 librust-proc-macro2-dev,
 librust-quote-dev,
 librust-smallvec-dev,
 librust-smartstring-dev,
 librust-smol-str-dev,
 librust-syn-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-bounded-static.git
Vcs-Browser: https://salsa.debian.org/debian/rust-bounded-static
Homepage: https://github.com/fujiapple852/bounded-static

Package: librust-bounded-static-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-ahash-dev,
 librust-bounded-static-derive-dev,
 librust-chrono-dev,
 librust-smallvec-dev,
 librust-smartstring-dev,
 librust-smol-str-dev,
 ${misc:Depends},
Provides:
 librust-bounded-static-0-dev (= ${binary:Version}),
 librust-bounded-static-0.8+ahash-dev (= ${binary:Version}),
 librust-bounded-static-0.8+alloc-dev (= ${binary:Version}),
 librust-bounded-static-0.8+chrono-clock-dev (= ${binary:Version}),
 librust-bounded-static-0.8+collections-dev (= ${binary:Version}),
 librust-bounded-static-0.8+default-dev (= ${binary:Version}),
 librust-bounded-static-0.8+derive-dev (= ${binary:Version}),
 librust-bounded-static-0.8+smallvec-dev (= ${binary:Version}),
 librust-bounded-static-0.8+smartstring-dev (= ${binary:Version}),
 librust-bounded-static-0.8+smol-str-dev (= ${binary:Version}),
 librust-bounded-static-0.8+std-dev (= ${binary:Version}),
 librust-bounded-static-0.8-dev (= ${binary:Version}),
 librust-bounded-static-0.8.0-dev (= ${binary:Version}),
Description: ToBoundedStatic and IntoBoundedStatic traits - Rust source code
 The bounded-static crate defines the ToBoundedStatic
 and IntoBoundedStatic traits,
 the ToStatic macro and provides implementations for common types.
 This crate has zero-dependencies, is no_std friendly
 and forbids unsafe code.
 .
 This package contains the source
 for the Rust bounded-static crate,
 for use with cargo.

Package: librust-bounded-static-derive-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 librust-syn-2+full-dev,
 ${misc:Depends},
Provides:
 librust-bounded-static-derive-0-dev (= ${binary:Version}),
 librust-bounded-static-derive-0.8+default-dev (= ${binary:Version}),
 librust-bounded-static-derive-0.8-dev (= ${binary:Version}),
 librust-bounded-static-derive-0.8.0-dev (= ${binary:Version}),
Description: macro to derive ToBoundedStatic and IntoBoundedStatic traits - Rust source code
 The bounded-static-derive crate provides the ToStatic macro
 which can be used to derive implementations
 of the ToBoundedStatic and IntoBoundedStatic traits
 for all struct and enum that can be converted
 to a form that is bounded by 'static.
 .
 The ToStatic macro should be used via the bounded-static crate
 rather than using this crate directly.
 .
 This package contains the source
 for the Rust bounded-static-derive crate,
 for use with cargo.
