=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --all-features
Features:
 test-name=rust-bounded-static:@,
Depends:
 dh-rust,
 librust-bounded-static-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features
Features:
 test-name=rust-bounded-static:,
Depends:
 dh-rust,
 librust-bounded-static-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets
Features:
 test-name=rust-bounded-static:default,
Depends:
 dh-rust,
 librust-bounded-static-0.8+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features ahash
Features:
 test-name=rust-bounded-static:ahash,
Depends:
 dh-rust,
 librust-bounded-static-0.8+ahash-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features alloc
Features:
 test-name=rust-bounded-static:alloc,
Depends:
 dh-rust,
 librust-bounded-static-0.8+alloc-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features chrono-clock
Features:
 test-name=rust-bounded-static:chrono-clock,
Depends:
 dh-rust,
 librust-bounded-static-0.8+chrono-clock-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features collections
Features:
 test-name=rust-bounded-static:collections,
Depends:
 dh-rust,
 librust-bounded-static-0.8+collections-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features derive
Features:
 test-name=rust-bounded-static:derive,
Depends:
 dh-rust,
 librust-bounded-static-0.8+derive-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features smallvec
Features:
 test-name=rust-bounded-static:smallvec,
Depends:
 dh-rust,
 librust-bounded-static-0.8+smallvec-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features smartstring
Features:
 test-name=rust-bounded-static:smartstring,
Depends:
 dh-rust,
 librust-bounded-static-0.8+smartstring-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test bounded-static 0.8.0
 --all-targets --no-default-features --features smol_str
Features:
 test-name=rust-bounded-static:smol_str,
Depends:
 dh-rust,
